[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TEntryInformationOS

Entry information for the OS

## Declaration

Source position: sysosh.inc line 34

`type TEntryInformationOS = record`
`argc: LongInt;` |  | Number of command-line arguments.
`argv: PPChar;` |  | Pointer to Array of command-line arguments
`envp: PPChar;` |  | Pointer to array of environment variables
`stkptr: pointer;` |  | Initial stack pointer
`stklen: SizeUInt;` |  | Stack length
`haltproc: procedure(` |  | Procedure to call to exit program
`e: LongInt`
`);`
`end;`

## Description

TEntryInformationOS represents executable entry information for the current OS. This structure is OS dependent.